* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
}

a{
    color: #000;
}

:root {
    --color-main: #ffb039;
    --color-font: #ffffff;
    --color-sub: #000;
}

html{
    scroll-behavior: smooth;
}

/* トップへ戻る */

.pagetop{
    display: none;
}

.pagetop.active{
    width: 75px;
    height: 75px;
    border-radius: 100%;
    position: fixed;
    right: 50px;
    bottom: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #cecece;
    border: 1px solid #cecece;
    z-index: 99;
    animation: toppageIn 0.5s forwards;
}

@keyframes toppageIn {
    0%{
        opacity: 0;
        transform: translateY(-40px);
    }
    100%{
        opacity: 1;
        transform: translateY(0px);
    }
}

.pagetop.active a{
    display: block;
    font-size: 1.6rem;
}


/* ヘッダー部分 */

.header {
    width: 100%;
    height: 80px;
    display: flex;
    background: var(--color-sub);
    color: #ffffff;
    position: sticky;
    inset: 0;
    z-index: 30;
}

.header .logo {
    width: 300px;
    height: 80px;
    margin-left: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.header .logo img {
    display: block;
}

/* グローバルナビゲーション */

.global_nav {
    margin-left: auto;
    margin-right: 80px;
}

.global_nav-list {
    width: 100%;
    height: 80px;
    display: flex;
    align-items: center;
    gap: 30px;
}

.global_nav-list--item a {
    color: var(--color-font);
    font-weight: bold;
    font-size: 16px;
    position: relative;
}

.global_nav-list--item a::after {
    position: absolute;
    /*親要素であるaタグを基準に位置を指定*/
    left: 0;
    bottom: -10px;
    /*アンダーラインを各メニュー（aタグ）の左端に指定*/
    content: '';
    /*本来は、擬似要素に入るテキストなどを’’内に指定。今回はアンダーラインなので何も記載しない*/
    width: 100%;
    /*アンダーラインを各aタグの幅に合わせる*/
    height: 2px;
    /*アンダーラインの高さ（太さ）*/
    background: #fff;
    /*アンダーラインの色*/
    opacity: 0;
    visibility: hidden;
    transition: 0.3s;
}

.global_nav-list--item:not(.contact_btn) a:hover::after {
    visibility: visible;
    bottom: -5px;
    /*アニメーションが止まる位置*/
    opacity: 1;
}

.contact_btn a {
    width: fit-content;
    border: 2px solid #ffffff;
    background: #fff;
    border-radius: 18px;
    padding: 10px 20px;
    margin: 0 10px;
    color: #000000;
    transition: all 0.3s;
}

.contact_btn a:hover {
    background-color: var(--color-sub);
    color: var(--color-font);
}

/* スマホ版のハンバーガーメニュー */

.sp_hmb{
    max-width: 50px;
    width: 100%;
    max-height: 50px;
    height: 100%;
    margin: 15px;
    border: 2px solid #fff;
    margin-left: auto;
    margin-right: 5%;
    z-index: 99;
    position: relative;
    cursor: pointer;
    display: none;
    flex-direction: column;
    justify-content: space-evenly;
}

.sp_hmb span{
    display: block;
    width: 80%; /* 幅を80%に設定 */
    height: 4px;
    background-color: #fff;
    margin: 0 auto; /* 中央揃え */
    transform-origin: center; /* 回転の中心を真ん中に */
    transition: all 0.3s ease-in-out;
}



/* アクティブ */
.sp_hmb.active span:nth-child(1) {
    transform: translateY(12px) rotate(45deg);
}

.sp_hmb.active span:nth-child(2) {
    opacity: 0;
}

.sp_hmb.active span:nth-child(3) {
    transform: translateY(-12px) rotate(-45deg);
}


.sp_nav{
    display: none; /* ここをかえる */
    max-width: 100%;
    height: 100vh;
    background: rgba(0,0,0, 0.6);
    position: fixed;
    animation: showMenu 0.5s ;
    z-index: 99;
}

.sp_nav.active{
    display: block;
    
}

@keyframes showMenu {
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}

.sp_hmbmenu_list{
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.sp_hmbmenu_list-item{
    color: #fff;
    font-size: 24px;
    font-weight: bold;
    margin: 30px auto;
}

.sp_hmbmenu_list-item a{
    color: #fff;
    font-weight: bold;
}

/* フッター */

.footer {
    width: 100%;
    height: 50px;
    background-color: #ffb039;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 99;
}

.copyright_text {
    font-size: 14px;
    text-align: center;
}

@media screen and (max-width:936px) {

    .global_nav{
        display: none;
    }

    .sp_hmb{
        display: flex;
    }
}